gd_nmfields(3)

NAME
gd_nmfields — report the number of metafields in a dirfile

SYNOPSIS
#include <getdata.h>

unsigned int gd_nmfields(DIRFILE *dirfile, const char *parent);

DESCRIPTION
The gd_nmfields() function queries a dirfile(5) database specified by dirfile and returns the number of metafields defined in the database for the parent field specified by parent.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3).

RETURN VALUE
Upon successful completion, gd_nmfields() returns the number of defined metafields for the given parent. On error, it returns zero and sets the dirfile error to a non-zero error value. Possible error values are:

GD_E_BAD_CODE
    The supplied parent field code was not found, or referred to a metafield itself.

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
dirfile(5), gd_open(3), gd_error(3), gd_error_string(3), gd_mfield_list(3), gd_nfields(3), gd_nmfields_by_type(3), gd_nmvectors(3)